2020-12-05 01:13 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000460Frama-CKernel > Makefilepublic2014-02-12 16:55
Reportermehdi 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000460: .make-ocamlgraph is not needed when using non-local ocamlgraph
Description
When using a non-local ocamlgraph (and when I don't have the tarball of ocamlgraph), ".make-ocamlgraph" fails (which is expected), but note that there is no need to unpack ocamlgraph.tar.gz if I'm not going to use it.

Please find attached a patch to fix this issue.

Regards,
--
Mehdi
TagsNo tags attached.
Attached Files
  • patch file icon 0002-.make-ocamlgraph-no-op-for-non-local-ocamlgraph.patch (850 bytes) 2010-04-27 13:25 -
    From: Mehdi Dogguy <mehdi@debian.org>
    Date: Sun, 25 Apr 2010 16:09:46 +0200
    Subject: [PATCH] .make-ocamlgraph no-op for non-local ocamlgraph
    
    ---
     Makefile |    2 ++
     1 files changed, 2 insertions(+), 0 deletions(-)
    
    diff --git a/Makefile b/Makefile
    index 6f21662..4c9e01a 100644
    --- a/Makefile
    +++ b/Makefile
    @@ -381,6 +381,7 @@ endif # testing ocamlgraph is local
     # change '.make-ocamlgraph-stamp' before 'cvs commit'
     .make-ocamlgraph: .make-ocamlgraph-stamp
     	touch $@
    +ifneq ("$(OCAMLGRAPH_LOCAL)","")
     # Inline the rules of "untar-ocamlgraph" here
     # because calling a recursive make does not work
     	$(PRINT_UNTAR) ocamlgraph
    @@ -388,6 +389,7 @@ endif # testing ocamlgraph is local
     	$(TAR) xzf ocamlgraph.tar.gz
     	cd $(OCAMLGRAPH_LOCAL) && ./configure
     	$(MAKE) clean
    +endif
     
     include .make-ocamlgraph
     DISTRIB_FILES += .make-ocamlgraph
    -- 
    

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2010-04-27 13:25 mehdi New Issue
2010-04-27 13:25 mehdi Status new => assigned
2010-04-27 13:25 mehdi Assigned To => signoles
2010-04-27 13:25 mehdi File Added: 0002-.make-ocamlgraph-no-op-for-non-local-ocamlgraph.patch
2010-04-27 16:16 svn
2010-04-27 16:16 signoles Status assigned => resolved
2010-04-27 16:16 signoles Fixed in Version => Frama-C Carbon
2010-04-27 16:16 signoles Resolution open => fixed
2010-12-17 19:36 signoles Status resolved => closed
2013-12-19 01:13 signoles Source_changeset_attached => framac master e04a5435
2014-02-12 16:55 signoles Source_changeset_attached => framac stable/neon e04a5435
+Issue History